DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
FGCTTableDynamics::FGCTTableDynamicsItem Class Reference

Class representing an item of the "CT Table Dynamics" Functional Group Macro. More...

## Public Member Functions
| FGCTTableDynamicsItem ()
| Constructor, creates empty functional group item.
virtual | ~FGCTTableDynamicsItem ()
| Virtual destructor.
virtual FGCTTableDynamicsItem * | clone () const
| Returns a deep copy of this object. More...
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group item is consistent and complete. More...
virtual OFCondition | read (DcmItem &item)
| Read CT Table Dynamics Sequence from given item. More...
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into given item. More...
virtual int | compare (const FGCTTableDynamicsItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
virtual OFCondition | getTableSpeed (OFString &value, const signed long pos=0)
| Get Table Speed. More...
virtual OFCondition | getTableSpeed (Float64 &value, const unsigned long pos=0)
| Get Tube Angle. More...
virtual OFCondition | getTableFeedPerRotation (OFString &value, const signed long pos=0)
| Get Table Feed per Rotation. More...
virtual OFCondition | getTableFeedPerRotation (Float64 &value, const unsigned long pos=0)
| Get Table Feed per Rotation. More...
virtual OFCondition | getSpiralPitchFactor (OFString &value, const signed long pos=0)
| Get Spiral Pitch Factor. More...
virtual OFCondition | getSpiralPitchFactor (Float64 &value, const unsigned long pos=0)
| Get Spiral Pitch Factor. More...
virtual OFCondition | setTableSpeed (const Float64 &value, const OFBool checkValue=OFTrue)
| Set Table Speed. More...
virtual OFCondition | setTableFeedPerRotation (const Float64 &value, const OFBool checkValue=OFTrue)
| Set Table Feed per Rotation. More...
virtual OFCondition | setSpiralPitchFactor (const Float64 &value, const OFBool checkValue=OFTrue)
| Set Spiral Pitch Factor. More...

## Private Attributes
DcmFloatingPointDouble | m_TableSpeed
| Acquisition Type (FD, VM 1, Required type 1C)
DcmFloatingPointDouble | m_TableFeedPerRotation
| Table Feed Rotation (FD, 1, 1C)
DcmFloatingPointDouble | m_SpiralPitchFactor
| Spiral Pitch Factor (FD, 1, 1C)

## Detailed Description

Class representing an item of the "CT Table Dynamics" Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::check | ( |  | ) | const
| virtual

Check whether the current content of this group item is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

## ◆ clone()

virtual FGCTTableDynamicsItem* FGCTTableDynamics::FGCTTableDynamicsItem::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

## ◆ compare()

virtual int FGCTTableDynamics::FGCTTableDynamicsItem::compare | ( | const FGCTTableDynamicsItem & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

## ◆ getSpiralPitchFactor() [1/2]

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::getSpiralPitchFactor | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Spiral Pitch Factor.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getSpiralPitchFactor() [2/2]

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::getSpiralPitchFactor | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Spiral Pitch Factor.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTableFeedPerRotation() [1/2]

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::getTableFeedPerRotation | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Table Feed per Rotation.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTableFeedPerRotation() [2/2]

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::getTableFeedPerRotation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Table Feed per Rotation.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTableSpeed() [1/2]

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::getTableSpeed | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Tube Angle.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTableSpeed() [2/2]

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::getTableSpeed | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Table Speed.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::read | ( | DcmItem & | item | ) |
| virtual

Read CT Table Dynamics Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setSpiralPitchFactor()

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::setSpiralPitchFactor | ( | const Float64 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Spiral Pitch Factor.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setTableFeedPerRotation()

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::setTableFeedPerRotation | ( | const Float64 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Table Feed per Rotation.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setTableSpeed()

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::setTableSpeed | ( | const Float64 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Table Speed.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTTableDynamics::FGCTTableDynamicsItem::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgcttabledynamics.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1